package swinglayoutmanager.ex1;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

/**
 * <p>Title: Layout Managers Example</p>
 * <p>Description: Layout Managers Example 1</p>
 * <p>Copyright: Copyright (c) 2002 Marco Lamberto</p>
 * <p>Company: SIForge.org</p>
 * @author Marco Lamberto
 * @version 1.0
 */

public class Main extends JFrame
{
  private BorderLayout borderLayout1 = new BorderLayout();
  private JPanel jPanel1 = new JPanel();
  private FlowLayout flowLayout1 = new FlowLayout();
  private JPanel jPanel2 = new JPanel();
  private GridLayout gridLayout1 = new GridLayout();
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  private JButton jButton3 = new JButton();
  private JScrollPane jScrollPane1 = new JScrollPane();
  private JTextArea jTextArea1 = new JTextArea();
  private JMenuBar jMenuBar1 = new JMenuBar();
  private JMenu jMenu1 = new JMenu();
  private JMenuItem jMenuItem1 = new JMenuItem();
  private JMenuItem jMenuItem2 = new JMenuItem();
  private JMenuItem jMenuItem3 = new JMenuItem();
  private JMenuItem jMenuItem4 = new JMenuItem();
  private JMenu jMenu2 = new JMenu();
  private JMenuItem jMenuItem5 = new JMenuItem();

  public Main()
  {
    try
    {
      jbInit();
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }
  }

  public static void main(String[] args)
  {
    Main main1 = new Main();
		main1.pack();
		main1.setSize(500, 200);
		main1.show();
  }

  private void jbInit() throws Exception
  {
    this.getContentPane().setLayout(borderLayout1);
    jPanel1.setLayout(flowLayout1);
    flowLayout1.setAlignment(FlowLayout.RIGHT);
    jPanel2.setLayout(gridLayout1);
    jButton1.setSelected(true);
    jButton1.setText("Ok");
    jButton2.setText("Cancel");
    jButton2.addActionListener(new java.awt.event.ActionListener()
    {
      public void actionPerformed(ActionEvent e)
      {
        jButton2_actionPerformed(e);
      }
    });
    jButton3.setEnabled(false);
    jButton3.setText("Apply");
    gridLayout1.setHgap(4);
    jTextArea1.setEditable(false);
    jTextArea1.setText("Swing Example");
    jMenu1.setMnemonic('F');
    jMenu1.setText("File");
    jMenuItem1.setMnemonic('N');
    jMenuItem1.setText("New");
    jMenuItem2.setMnemonic('O');
    jMenuItem2.setText("Open...");
    jMenuItem3.setMnemonic('S');
    jMenuItem3.setText("Save");
    jMenuItem4.setMnemonic('X');
    jMenuItem4.setText("Exit");
    jMenu2.setMnemonic('H');
    jMenu2.setText("Help");
    jMenuItem5.setMnemonic('A');
    jMenuItem5.setText("About...");
    this.setDefaultCloseOperation(EXIT_ON_CLOSE);
    this.setJMenuBar(jMenuBar1);
    this.setTitle("LayoutManagerEx1");
    jScrollPane1.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS);
    jScrollPane1.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
    this.getContentPane().add(jPanel1, BorderLayout.SOUTH);
    jPanel1.add(jPanel2, null);
    jPanel2.add(jButton1, null);
    jPanel2.add(jButton3, null);
    jPanel2.add(jButton2, null);
    this.getContentPane().add(jScrollPane1, BorderLayout.CENTER);
    jScrollPane1.getViewport().add(jTextArea1, null);
    jMenuBar1.add(jMenu1);
    jMenuBar1.add(jMenu2);
    jMenu1.add(jMenuItem1);
    jMenu1.add(jMenuItem2);
    jMenu1.add(jMenuItem3);
    jMenu1.addSeparator();
    jMenu1.add(jMenuItem4);
    jMenu2.add(jMenuItem5);
  }

  void jButton2_actionPerformed(ActionEvent e)
  {
		System.exit(0);
  }
}